#ifndef TrackPoint__
#define TrackPoint__


#include <amulet.h>
#include "baseDlg.h"
#include "IPPList.h"
#include "Shapes.h"
#include "ShowImage.h"
class shPoint;
class TrackPoint: public baseDlg
{
  HEADER(TrackPoint)
    public:
  TrackPoint();
  void Track();
  void StopTrack();
  IPPList pts;
  void MakePolygon();
  void FakePolygon();
  void InitializePolygon();
  void DivideIntoNSamples(IPPList &tpts, iPoint *(&ipts), int &len);
  int mSample;
  char mShape[50];
  shPoint *mShp;
  void ComputeCurveLength(IPPList &tpts, float &length);
  void DetermineBoundary();
  int GetEdgeMapForCurrentImage(Image &edge);
};


#endif
